Unfortunately, this feature is not supported on mobile devices. For the best experience, please use a computer.

project44 REST API (4.0.0)

Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.

Download OpenAPI description
Languages
Servers
NA - Endpoint for project44 tenants created in the NA region
https://na12.api.project44.com/
EU - Endpoint for project44 tenants created in the EU region
https://eu12.api.project44.com/
Sandbox - Endpoint for project44 tenants created in the sandbox environment
https://na12.api.sandbox.p-44.com/

OAuth 2.0: Client Applications

API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.

Operations

OAuth 2.0: Token Generation

API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).

Operations

Shipment: Tracking

...

Operations

Filter Suggestions

...

Operations

Shipment Attributes

...

Operations

Shipment: Loads

...

Operations

Order Visibility

...

Operations

Create an item.

Request

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
Bodyapplication/jsonrequired
consumeByDateTimestring(date-time)

${InventoryItem.apiModel.consumeByDateTime.value}

descriptionstring

${InventoryItem.apiModel.description.value}

idstring

${InventoryItem.apiModel.id.value}

inventoryDimensionalWeightobject(DimensionalWeight)

The Dimensional Weight which includes quantity, package type, cubic dimension details, and weight details for the inventory item

inventoryIdentifiersArray of objects(InventoryIdentifier)

${InventoryItem.apiModel.inventoryIdentifiers.value}

lineItemHazmatDetailobject(LineItemHazmatDetail)

Provides important information about the hazardous materials to be transported, as required by the US Department of Transportation (DOT). Only required for shipment requests.

manufacturedDateTimestring(date-time)

${InventoryItem.apiModel.manufacturedDateTime.value}

orderIdsArray of strings

${InventoryItem.apiModel.orderIds.value}

perUnitCostobject(MonetaryValue)

A monetary value expressing amount and currency type.

perUnitRetailValueobject(MonetaryValue)

A monetary value expressing amount and currency type.

promotionalDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

packagedDateTimestring(date-time)

${InventoryItem.apiModel.packagedDateTime.value}

perishableboolean

${InventoryItem.apiModel.perishable.value}

stockKeepingUnitstring

${InventoryItem.apiModel.stockKeepingUnit.value}

serialNumberstring[ 0 .. 25 ] characters

${InventoryItem.apiModel.serialNumber.value}

sellByDateTimestring(date-time)

${InventoryItem.apiModel.sellByDateTime.value}

shipmentIdsArray of strings(uuid)

${InventoryItem.apiModel.shipmentIds.value}

taxableboolean

${InventoryItem.apiModel.taxable.value}

universalProductCodestring

${InventoryItem.apiModel.universalProductCode.value}

curl -i -X POST \
  'https://na12.api.project44.com/api/v4/inventory/items?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "consumeByDateTime": "2019-08-24T14:15:22Z",
    "description": "string",
    "id": "string",
    "inventoryDimensionalWeight": {
      "cubicDimension": {
        "height": 0,
        "length": 0,
        "width": 0
      },
      "lengthUnit": "IN",
      "packageType": "BAG",
      "quantity": 0,
      "weight": {
        "weight": 0,
        "weightUnit": "LB"
      }
    },
    "inventoryIdentifiers": [
      {
        "description": "string",
        "type": "DEPARTMENT",
        "value": "string"
      }
    ],
    "lineItemHazmatDetail": {
      "hazardClass": "string",
      "identificationNumber": "string",
      "properShippingName": "string",
      "packingGroup": "I"
    },
    "manufacturedDateTime": "2019-08-24T14:15:22Z",
    "orderIds": [
      "string"
    ],
    "perUnitCost": {
      "amount": 0,
      "currency": "USD"
    },
    "perUnitRetailValue": {
      "amount": 0,
      "currency": "USD"
    },
    "promotionalDateTimeWindow": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "startDateTime": "2019-08-24T14:15:22Z"
    },
    "packagedDateTime": "2019-08-24T14:15:22Z",
    "perishable": true,
    "stockKeepingUnit": "string",
    "serialNumber": "string",
    "sellByDateTime": "2019-08-24T14:15:22Z",
    "shipmentIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "taxable": true,
    "universalProductCode": "string"
  }'

Responses

Accepted

Body
idstring

${InventoryId.apiModel.id.value}

Response
{ "id": "string" }

Get an item by project44 id.

Request

Path
idstringrequired

The project44-generated id of the item you wish to query.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/inventory/items/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Body
consumeByDateTimestring(date-time)

${InventoryItem.apiModel.consumeByDateTime.value}

descriptionstring

${InventoryItem.apiModel.description.value}

idstring

${InventoryItem.apiModel.id.value}

inventoryDimensionalWeightobject(DimensionalWeight)

The Dimensional Weight which includes quantity, package type, cubic dimension details, and weight details for the inventory item

inventoryIdentifiersArray of objects(InventoryIdentifier)

${InventoryItem.apiModel.inventoryIdentifiers.value}

lineItemHazmatDetailobject(LineItemHazmatDetail)

Provides important information about the hazardous materials to be transported, as required by the US Department of Transportation (DOT). Only required for shipment requests.

manufacturedDateTimestring(date-time)

${InventoryItem.apiModel.manufacturedDateTime.value}

orderIdsArray of strings

${InventoryItem.apiModel.orderIds.value}

perUnitCostobject(MonetaryValue)

A monetary value expressing amount and currency type.

perUnitRetailValueobject(MonetaryValue)

A monetary value expressing amount and currency type.

promotionalDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

packagedDateTimestring(date-time)

${InventoryItem.apiModel.packagedDateTime.value}

perishableboolean

${InventoryItem.apiModel.perishable.value}

stockKeepingUnitstring

${InventoryItem.apiModel.stockKeepingUnit.value}

serialNumberstring[ 0 .. 25 ] characters

${InventoryItem.apiModel.serialNumber.value}

sellByDateTimestring(date-time)

${InventoryItem.apiModel.sellByDateTime.value}

shipmentIdsArray of strings(uuid)

${InventoryItem.apiModel.shipmentIds.value}

taxableboolean

${InventoryItem.apiModel.taxable.value}

universalProductCodestring

${InventoryItem.apiModel.universalProductCode.value}

Response
{ "consumeByDateTime": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "inventoryDimensionalWeight": { "cubicDimension": {}, "lengthUnit": "IN", "packageType": "BAG", "quantity": 0, "weight": {} }, "inventoryIdentifiers": [ {} ], "lineItemHazmatDetail": { "hazardClass": "string", "identificationNumber": "string", "properShippingName": "string", "packingGroup": "I" }, "manufacturedDateTime": "2019-08-24T14:15:22Z", "orderIds": [ "string" ], "perUnitCost": { "amount": 0, "currency": "USD" }, "perUnitRetailValue": { "amount": 0, "currency": "USD" }, "promotionalDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "packagedDateTime": "2019-08-24T14:15:22Z", "perishable": true, "stockKeepingUnit": "string", "serialNumber": "string", "sellByDateTime": "2019-08-24T14:15:22Z", "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "taxable": true, "universalProductCode": "string" }

Update an existing item.

Request

Path
idstringrequired

The project44-generated id of the item you wish to update.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
Bodyapplication/jsonrequired
consumeByDateTimestring(date-time)

${InventoryItem.apiModel.consumeByDateTime.value}

descriptionstring

${InventoryItem.apiModel.description.value}

idstring

${InventoryItem.apiModel.id.value}

inventoryDimensionalWeightobject(DimensionalWeight)

The Dimensional Weight which includes quantity, package type, cubic dimension details, and weight details for the inventory item

inventoryIdentifiersArray of objects(InventoryIdentifier)

${InventoryItem.apiModel.inventoryIdentifiers.value}

lineItemHazmatDetailobject(LineItemHazmatDetail)

Provides important information about the hazardous materials to be transported, as required by the US Department of Transportation (DOT). Only required for shipment requests.

manufacturedDateTimestring(date-time)

${InventoryItem.apiModel.manufacturedDateTime.value}

orderIdsArray of strings

${InventoryItem.apiModel.orderIds.value}

perUnitCostobject(MonetaryValue)

A monetary value expressing amount and currency type.

perUnitRetailValueobject(MonetaryValue)

A monetary value expressing amount and currency type.

promotionalDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

packagedDateTimestring(date-time)

${InventoryItem.apiModel.packagedDateTime.value}

perishableboolean

${InventoryItem.apiModel.perishable.value}

stockKeepingUnitstring

${InventoryItem.apiModel.stockKeepingUnit.value}

serialNumberstring[ 0 .. 25 ] characters

${InventoryItem.apiModel.serialNumber.value}

sellByDateTimestring(date-time)

${InventoryItem.apiModel.sellByDateTime.value}

shipmentIdsArray of strings(uuid)

${InventoryItem.apiModel.shipmentIds.value}

taxableboolean

${InventoryItem.apiModel.taxable.value}

universalProductCodestring

${InventoryItem.apiModel.universalProductCode.value}

curl -i -X PUT \
  'https://na12.api.project44.com/api/v4/inventory/items/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "consumeByDateTime": "2019-08-24T14:15:22Z",
    "description": "string",
    "id": "string",
    "inventoryDimensionalWeight": {
      "cubicDimension": {
        "height": 0,
        "length": 0,
        "width": 0
      },
      "lengthUnit": "IN",
      "packageType": "BAG",
      "quantity": 0,
      "weight": {
        "weight": 0,
        "weightUnit": "LB"
      }
    },
    "inventoryIdentifiers": [
      {
        "description": "string",
        "type": "DEPARTMENT",
        "value": "string"
      }
    ],
    "lineItemHazmatDetail": {
      "hazardClass": "string",
      "identificationNumber": "string",
      "properShippingName": "string",
      "packingGroup": "I"
    },
    "manufacturedDateTime": "2019-08-24T14:15:22Z",
    "orderIds": [
      "string"
    ],
    "perUnitCost": {
      "amount": 0,
      "currency": "USD"
    },
    "perUnitRetailValue": {
      "amount": 0,
      "currency": "USD"
    },
    "promotionalDateTimeWindow": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "startDateTime": "2019-08-24T14:15:22Z"
    },
    "packagedDateTime": "2019-08-24T14:15:22Z",
    "perishable": true,
    "stockKeepingUnit": "string",
    "serialNumber": "string",
    "sellByDateTime": "2019-08-24T14:15:22Z",
    "shipmentIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "taxable": true,
    "universalProductCode": "string"
  }'

Responses

Accepted

Body
idstring

${InventoryId.apiModel.id.value}

Response
{ "id": "string" }

Delete an item.

Request

Path
idstringrequired

The project44-generated id of the item you wish to delete.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
curl -i -X DELETE \
  'https://na12.api.project44.com/api/v4/inventory/items/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Accepted

-

Request

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
Bodyapplication/jsonrequired
itemsArray of objects(InventoryItem)[ 0 .. 500 ] items

List of Inventory Items.

curl -i -X POST \
  'https://na12.api.project44.com/api/v4/inventory/items/bulk?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "items": [
      {
        "consumeByDateTime": "2019-08-24T14:15:22Z",
        "description": "string",
        "id": "string",
        "inventoryDimensionalWeight": {
          "cubicDimension": {
            "height": 0,
            "length": 0,
            "width": 0
          },
          "lengthUnit": "IN",
          "packageType": "BAG",
          "quantity": 0,
          "weight": {
            "weight": 0,
            "weightUnit": "LB"
          }
        },
        "inventoryIdentifiers": [
          {
            "description": "string",
            "type": "DEPARTMENT",
            "value": "string"
          }
        ],
        "lineItemHazmatDetail": {
          "hazardClass": "string",
          "identificationNumber": "string",
          "properShippingName": "string",
          "packingGroup": "I"
        },
        "manufacturedDateTime": "2019-08-24T14:15:22Z",
        "orderIds": [
          "string"
        ],
        "perUnitCost": {
          "amount": 0,
          "currency": "USD"
        },
        "perUnitRetailValue": {
          "amount": 0,
          "currency": "USD"
        },
        "promotionalDateTimeWindow": {
          "endDateTime": "2019-08-24T14:15:22Z",
          "startDateTime": "2019-08-24T14:15:22Z"
        },
        "packagedDateTime": "2019-08-24T14:15:22Z",
        "perishable": true,
        "stockKeepingUnit": "string",
        "serialNumber": "string",
        "sellByDateTime": "2019-08-24T14:15:22Z",
        "shipmentIds": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "taxable": true,
        "universalProductCode": "string"
      }
    ]
  }'

Responses

OK

Body
idsArray of objects(InventoryId)

List of Inventory Ids to hold system generated unique ids for inventory orders and items.

Response
{ "ids": [ {} ] }

Search for items.

Request

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
pageinteger(int32)[ 1 .. 50 ]required

Page number valid range: [1, 50]

sizeinteger(int32)[ 1 .. 100 ]required

Page size valid range: [1, 100]

sortstring

Inventory Sortable Fields: [stockKeepingUnit, description, universalProductCode, inventoryIdentifiers.type, manufacturedDateTime, packagedDateTime, sellByDateTime, consumeByDateTime, lineItemHazmatDetail.hazardClass]

Default "stockKeepingUnit:ASC"
Bodyapplication/jsonrequired
consumeByDateTimeRangeobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

hazardClassesArray of strings

${BasicInventoryItemSearchCriteria.apiModel.hazardClasses.value}

idsArray of strings[ 0 .. 10 ] items

${BasicInventoryItemSearchCriteria.apiModel.ids.value}

inventoryIdentifiersArray of objects(InventoryIdentifier)[ 0 .. 5 ] items

${BasicInventoryItemSearchCriteria.apiModel.inventoryIdentifiers.value}

manufacturedDateTimeRangeobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

orderIdsArray of strings[ 0 .. 10 ] items

${BasicInventoryItemSearchCriteria.apiModel.orderIds.value}

perUnitCostobject(MonetaryValueRangeFilter)

${BasicInventoryItemSearchCriteria.apiModel.perUnitRetailValue.value}

perUnitRetailValueobject(MonetaryValueRangeFilter)

${BasicInventoryItemSearchCriteria.apiModel.perUnitRetailValue.value}

packagedDateTimeRangeobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

perishableboolean

${BasicInventoryItemSearchCriteria.apiModel.perishable.value}

searchTextstring

${BasicInventoryItemSearchCriteria.apiModel.searchText.value}

skusArray of strings[ 0 .. 10 ] items

${BasicInventoryItemSearchCriteria.apiModel.skus.value}

shipmentIdsArray of strings(uuid)[ 0 .. 10 ] items

${BasicInventoryItemSearchCriteria.apiModel.shipmentIds.value}

sellByDateTimeRangeobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

taxableboolean

${BasicInventoryItemSearchCriteria.apiModel.taxable.value}

upcsArray of strings[ 0 .. 10 ] items

${BasicInventoryItemSearchCriteria.apiModel.upcs.value}

curl -i -X POST \
  'https://na12.api.project44.com/api/v4/inventory/items/search?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&page=1&registrationDate=2019-08-24T14%3A15%3A22Z&size=1&sort=stockKeepingUnit%3AASC&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "consumeByDateTimeRange": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "hazardClasses": [
      "string"
    ],
    "ids": [
      "string"
    ],
    "inventoryIdentifiers": [
      {
        "description": "string",
        "type": "DEPARTMENT",
        "value": "string"
      }
    ],
    "manufacturedDateTimeRange": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "orderIds": [
      "string"
    ],
    "perUnitCost": {
      "minimumValue": {
        "amount": 0,
        "currency": "USD"
      },
      "minimumValueInclusive": true,
      "maximumValue": {
        "amount": 0,
        "currency": "USD"
      },
      "maximumValueInclusive": true
    },
    "perUnitRetailValue": {
      "minimumValue": {
        "amount": 0,
        "currency": "USD"
      },
      "minimumValueInclusive": true,
      "maximumValue": {
        "amount": 0,
        "currency": "USD"
      },
      "maximumValueInclusive": true
    },
    "packagedDateTimeRange": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "perishable": true,
    "searchText": "string",
    "skus": [
      "string"
    ],
    "shipmentIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "sellByDateTimeRange": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "taxable": true,
    "upcs": [
      "string"
    ]
  }'

Responses

OK

Body
paginationInfoobject(PaginationInfo)

Pagination information about a collection of resources.

resultsArray of objects(InventoryItem)

List of resources contained on this page.

Response
{ "paginationInfo": { "pageSize": 0, "pageNumber": 0, "total": 0 }, "results": [ {} ] }

Create an order.

Request

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
Bodyapplication/jsonrequired
additionalOrderIdentifiersArray of objects(InventoryOrderIdentifier)[ 0 .. 10 ] items

${InventoryOrder.apiModel.additionalOrderIdentifiers.value}

attributesArray of objects(OrderCustomAttribute)[ 0 .. 25 ] items

${InventoryOrder.apiModel.attributes.value}

billToLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

createdDatestring(date)

${InventoryOrder.apiModel.createdDate.value}

deletedDateTimestring(date-time)

${InventoryOrder.apiModel.deletedDateTime.value}

destinationLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

derivedOrderHealthobject(DerivedOrderHealth)

derived order health.

freightTermsobject(FreightTerms)

Details the terms of the freight ownership during transport. Specified in the quote, contract or general terms and conditions.

idstring

${InventoryOrder.apiModel.id.value}

launchDateTimestring(date-time)

${InventoryOrder.apiModel.launchDateTime.value}

orderTypestring

${InventoryOrder.apiModel.orderType.value}

Enum"PURCHASE_ORDER""SALES_ORDER""WAREHOUSE_MOVEMENT_ORDER""ADVANCED_SHIPMENT_NOTICE""INVOICE""DELIVERY""STOCK_TRANSFER_ORDER"
orderIdentifierstringnon-empty

${InventoryOrder.apiModel.orderIdentifier.value}

orderIdentifierAuthoritystring[ 0 .. 50 ] characters

${InventoryOrder.apiModel.orderIdentifierAuthority.value}

orderTagsArray of objects(InventoryOrderTag)[ 0 .. 10 ] items

${InventoryOrder.apiModel.orderTags.value}

orderSubmissionDateTimestring(date-time)

${InventoryOrder.apiModel.orderSubmissionDateTime.value}

originalDeliveryDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

originLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

relatedOrderIdsArray of strings[ 0 .. 100 ] items

${InventoryOrder.apiModel.relatedOrderIds.value}

subjectstring

${InventoryOrder.apiModel.subject.value}

statusCodestring

${InventoryOrder.apiModel.status.value}

Enum"SUBMITTED""RECEIVED""PROCESSING""ACCEPTED""FULFILLED""REJECTED""CANCELED"
statusCodeDateTimestring(date-time)

${InventoryOrder.apiModel.statusCodeDateTime.value}

supplierReadyDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

shipmentIdsArray of strings(uuid)[ 0 .. 250 ] items

${InventoryOrder.apiModel.shipmentIds.value}

totalCostobject(MonetaryValue)

A monetary value expressing amount and currency type.

totalRetailValueobject(MonetaryValue)

A monetary value expressing amount and currency type.

vendorLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

curl -i -X POST \
  'https://na12.api.project44.com/api/v4/inventory/orders?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "additionalOrderIdentifiers": [
      {
        "type": "CONTRACT",
        "value": "string"
      }
    ],
    "attributes": [
      {
        "name": "string",
        "values": [
          "string"
        ]
      }
    ],
    "billToLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    },
    "createdDate": "2019-08-24",
    "deletedDateTime": "2019-08-24T14:15:22Z",
    "destinationLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    },
    "derivedOrderHealth": {
      "arrivalStatus": {
        "code": "UNKNOWN",
        "duration": {
          "amount": 0,
          "unit": "UNKNOWN"
        }
      },
      "estimatedTimeOfArrival": "2019-08-24T14:15:22Z"
    },
    "freightTerms": {
      "freightOwnershipType": "PREPAID",
      "transportationPaymentType": "ORIGIN"
    },
    "id": "string",
    "launchDateTime": "2019-08-24T14:15:22Z",
    "orderType": "PURCHASE_ORDER",
    "orderIdentifier": "string",
    "orderIdentifierAuthority": "string",
    "orderTags": [
      {
        "description": "string",
        "type": "ANALYST",
        "value": "string"
      }
    ],
    "orderSubmissionDateTime": "2019-08-24T14:15:22Z",
    "originalDeliveryDateTimeWindow": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "startDateTime": "2019-08-24T14:15:22Z"
    },
    "originLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    },
    "relatedOrderIds": [
      "string"
    ],
    "subject": "string",
    "statusCode": "SUBMITTED",
    "statusCodeDateTime": "2019-08-24T14:15:22Z",
    "supplierReadyDateTimeWindow": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "startDateTime": "2019-08-24T14:15:22Z"
    },
    "shipmentIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "totalCost": {
      "amount": 0,
      "currency": "USD"
    },
    "totalRetailValue": {
      "amount": 0,
      "currency": "USD"
    },
    "vendorLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    }
  }'

Responses

Accepted

Body
idstring

${InventoryId.apiModel.id.value}

Response
{ "id": "string" }

Retrieve an order by project44 id.

Request

Path
idstringrequired

The project44-generated id of the order you wish to query.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/inventory/orders/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Body
additionalOrderIdentifiersArray of objects(InventoryOrderIdentifier)[ 0 .. 10 ] items

${InventoryOrder.apiModel.additionalOrderIdentifiers.value}

attributesArray of objects(OrderCustomAttribute)[ 0 .. 25 ] items

${InventoryOrder.apiModel.attributes.value}

billToLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

createdDatestring(date)

${InventoryOrder.apiModel.createdDate.value}

deletedDateTimestring(date-time)

${InventoryOrder.apiModel.deletedDateTime.value}

destinationLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

derivedOrderHealthobject(DerivedOrderHealth)

derived order health.

freightTermsobject(FreightTerms)

Details the terms of the freight ownership during transport. Specified in the quote, contract or general terms and conditions.

idstring

${InventoryOrder.apiModel.id.value}

launchDateTimestring(date-time)

${InventoryOrder.apiModel.launchDateTime.value}

orderTypestring

${InventoryOrder.apiModel.orderType.value}

Enum"PURCHASE_ORDER""SALES_ORDER""WAREHOUSE_MOVEMENT_ORDER""ADVANCED_SHIPMENT_NOTICE""INVOICE""DELIVERY""STOCK_TRANSFER_ORDER"
orderIdentifierstringnon-empty

${InventoryOrder.apiModel.orderIdentifier.value}

orderIdentifierAuthoritystring[ 0 .. 50 ] characters

${InventoryOrder.apiModel.orderIdentifierAuthority.value}

orderTagsArray of objects(InventoryOrderTag)[ 0 .. 10 ] items

${InventoryOrder.apiModel.orderTags.value}

orderSubmissionDateTimestring(date-time)

${InventoryOrder.apiModel.orderSubmissionDateTime.value}

originalDeliveryDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

originLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

relatedOrderIdsArray of strings[ 0 .. 100 ] items

${InventoryOrder.apiModel.relatedOrderIds.value}

subjectstring

${InventoryOrder.apiModel.subject.value}

statusCodestring

${InventoryOrder.apiModel.status.value}

Enum"SUBMITTED""RECEIVED""PROCESSING""ACCEPTED""FULFILLED""REJECTED""CANCELED"
statusCodeDateTimestring(date-time)

${InventoryOrder.apiModel.statusCodeDateTime.value}

supplierReadyDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

shipmentIdsArray of strings(uuid)[ 0 .. 250 ] items

${InventoryOrder.apiModel.shipmentIds.value}

totalCostobject(MonetaryValue)

A monetary value expressing amount and currency type.

totalRetailValueobject(MonetaryValue)

A monetary value expressing amount and currency type.

vendorLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

Response
{ "additionalOrderIdentifiers": [ {} ], "attributes": [ {} ], "billToLocation": { "address": {}, "additionalContacts": [], "contact": {}, "id": "string", "name": "string", "suppliedId": "string" }, "createdDate": "2019-08-24", "deletedDateTime": "2019-08-24T14:15:22Z", "destinationLocation": { "address": {}, "additionalContacts": [], "contact": {}, "id": "string", "name": "string", "suppliedId": "string" }, "derivedOrderHealth": { "arrivalStatus": {}, "estimatedTimeOfArrival": "2019-08-24T14:15:22Z" }, "freightTerms": { "freightOwnershipType": "PREPAID", "transportationPaymentType": "ORIGIN" }, "id": "string", "launchDateTime": "2019-08-24T14:15:22Z", "orderType": "PURCHASE_ORDER", "orderIdentifier": "string", "orderIdentifierAuthority": "string", "orderTags": [ {} ], "orderSubmissionDateTime": "2019-08-24T14:15:22Z", "originalDeliveryDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "originLocation": { "address": {}, "additionalContacts": [], "contact": {}, "id": "string", "name": "string", "suppliedId": "string" }, "relatedOrderIds": [ "string" ], "subject": "string", "statusCode": "SUBMITTED", "statusCodeDateTime": "2019-08-24T14:15:22Z", "supplierReadyDateTimeWindow": { "endDateTime": "2019-08-24T14:15:22Z", "startDateTime": "2019-08-24T14:15:22Z" }, "shipmentIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "totalCost": { "amount": 0, "currency": "USD" }, "totalRetailValue": { "amount": 0, "currency": "USD" }, "vendorLocation": { "address": {}, "additionalContacts": [], "contact": {}, "id": "string", "name": "string", "suppliedId": "string" } }

Update an existing order.

Request

Path
idstringrequired

The project44-generated id of the order you wish to update.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
Bodyapplication/jsonrequired
additionalOrderIdentifiersArray of objects(InventoryOrderIdentifier)[ 0 .. 10 ] items

${InventoryOrder.apiModel.additionalOrderIdentifiers.value}

attributesArray of objects(OrderCustomAttribute)[ 0 .. 25 ] items

${InventoryOrder.apiModel.attributes.value}

billToLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

createdDatestring(date)

${InventoryOrder.apiModel.createdDate.value}

deletedDateTimestring(date-time)

${InventoryOrder.apiModel.deletedDateTime.value}

destinationLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

derivedOrderHealthobject(DerivedOrderHealth)

derived order health.

freightTermsobject(FreightTerms)

Details the terms of the freight ownership during transport. Specified in the quote, contract or general terms and conditions.

idstring

${InventoryOrder.apiModel.id.value}

launchDateTimestring(date-time)

${InventoryOrder.apiModel.launchDateTime.value}

orderTypestring

${InventoryOrder.apiModel.orderType.value}

Enum"PURCHASE_ORDER""SALES_ORDER""WAREHOUSE_MOVEMENT_ORDER""ADVANCED_SHIPMENT_NOTICE""INVOICE""DELIVERY""STOCK_TRANSFER_ORDER"
orderIdentifierstringnon-empty

${InventoryOrder.apiModel.orderIdentifier.value}

orderIdentifierAuthoritystring[ 0 .. 50 ] characters

${InventoryOrder.apiModel.orderIdentifierAuthority.value}

orderTagsArray of objects(InventoryOrderTag)[ 0 .. 10 ] items

${InventoryOrder.apiModel.orderTags.value}

orderSubmissionDateTimestring(date-time)

${InventoryOrder.apiModel.orderSubmissionDateTime.value}

originalDeliveryDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

originLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

relatedOrderIdsArray of strings[ 0 .. 100 ] items

${InventoryOrder.apiModel.relatedOrderIds.value}

subjectstring

${InventoryOrder.apiModel.subject.value}

statusCodestring

${InventoryOrder.apiModel.status.value}

Enum"SUBMITTED""RECEIVED""PROCESSING""ACCEPTED""FULFILLED""REJECTED""CANCELED"
statusCodeDateTimestring(date-time)

${InventoryOrder.apiModel.statusCodeDateTime.value}

supplierReadyDateTimeWindowobject(OffsetDateTimeWindow)

A date and time range, with time zone offset.

shipmentIdsArray of strings(uuid)[ 0 .. 250 ] items

${InventoryOrder.apiModel.shipmentIds.value}

totalCostobject(MonetaryValue)

A monetary value expressing amount and currency type.

totalRetailValueobject(MonetaryValue)

A monetary value expressing amount and currency type.

vendorLocationobject(InventoryLocation)

${InventoryOrder.apiModel.billToLocation.value}

curl -i -X PUT \
  'https://na12.api.project44.com/api/v4/inventory/orders/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "additionalOrderIdentifiers": [
      {
        "type": "CONTRACT",
        "value": "string"
      }
    ],
    "attributes": [
      {
        "name": "string",
        "values": [
          "string"
        ]
      }
    ],
    "billToLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    },
    "createdDate": "2019-08-24",
    "deletedDateTime": "2019-08-24T14:15:22Z",
    "destinationLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    },
    "derivedOrderHealth": {
      "arrivalStatus": {
        "code": "UNKNOWN",
        "duration": {
          "amount": 0,
          "unit": "UNKNOWN"
        }
      },
      "estimatedTimeOfArrival": "2019-08-24T14:15:22Z"
    },
    "freightTerms": {
      "freightOwnershipType": "PREPAID",
      "transportationPaymentType": "ORIGIN"
    },
    "id": "string",
    "launchDateTime": "2019-08-24T14:15:22Z",
    "orderType": "PURCHASE_ORDER",
    "orderIdentifier": "string",
    "orderIdentifierAuthority": "string",
    "orderTags": [
      {
        "description": "string",
        "type": "ANALYST",
        "value": "string"
      }
    ],
    "orderSubmissionDateTime": "2019-08-24T14:15:22Z",
    "originalDeliveryDateTimeWindow": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "startDateTime": "2019-08-24T14:15:22Z"
    },
    "originLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    },
    "relatedOrderIds": [
      "string"
    ],
    "subject": "string",
    "statusCode": "SUBMITTED",
    "statusCodeDateTime": "2019-08-24T14:15:22Z",
    "supplierReadyDateTimeWindow": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "startDateTime": "2019-08-24T14:15:22Z"
    },
    "shipmentIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "totalCost": {
      "amount": 0,
      "currency": "USD"
    },
    "totalRetailValue": {
      "amount": 0,
      "currency": "USD"
    },
    "vendorLocation": {
      "address": {
        "addressLines": [
          "string"
        ],
        "city": "string",
        "country": "US",
        "postalCode": "string",
        "state": "string"
      },
      "additionalContacts": [
        {
          "companyName": "string",
          "contactName": "string",
          "email": "string",
          "faxNumber": "string",
          "faxNumberCountryCode": "string",
          "phoneNumber": "string",
          "phoneNumberCountryCode": "string",
          "phoneNumber2": "string",
          "phoneNumber2CountryCode": "string"
        }
      ],
      "contact": {
        "companyName": "string",
        "contactName": "string",
        "email": "string",
        "faxNumber": "string",
        "faxNumberCountryCode": "string",
        "phoneNumber": "string",
        "phoneNumberCountryCode": "string",
        "phoneNumber2": "string",
        "phoneNumber2CountryCode": "string"
      },
      "id": "string",
      "name": "string",
      "suppliedId": "string"
    }
  }'

Responses

Accepted

Body
idstring

${InventoryId.apiModel.id.value}

Response
{ "id": "string" }

Delete an order.

Request

Path
idstringrequired

The project44-generated id of the order you wish to delete.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
curl -i -X DELETE \
  'https://na12.api.project44.com/api/v4/inventory/orders/{id}?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Accepted

Get related orders.

Request

Path
idstringrequired

The project44-generated id of the order for which you wish to query related orders.

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
pageinteger(int32)[ 1 .. 50 ]

Page number valid range: [1, 50]

Default 1
sizeinteger(int32)[ 1 .. 100 ]

Page size valid range: [1, 100]

Default 30
sortstring

Order Sortable Fields: [orderType, orderIdentifier, statusCode, orderSubmissionDateTime, supplierReadyDateTimeWindow.startDateTime, supplierReadyDateTimeWindow.endDateTime, originalDeliveryDateTimeWindow.startDateTime,originalDeliveryDateTimeWindow.endDateTime, derivedOrderHealth.estimatedTimeOfArrival]

Default "orderSubmissionDateTime:DESC"
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/inventory/orders/{id}/related-orders?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&page=1&registrationDate=2019-08-24T14%3A15%3A22Z&size=30&sort=orderSubmissionDateTime%3ADESC&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Body
paginationInfoobject(PaginationInfo)

Pagination information about a collection of resources.

resultsArray of objects(InventoryOrder)

List of resources contained on this page.

Response
{ "paginationInfo": { "pageSize": 0, "pageNumber": 0, "total": 0 }, "results": [ {} ] }

Search for orders.

Request

Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
pageinteger(int32)[ 1 .. 50 ]

Page number valid range: [1, 50]

Default 1
sizeinteger(int32)[ 1 .. 1000 ]

Page size valid range: [1, 1000]

Default 30
sortstring

Order Sortable Fields: [orderType, orderIdentifier, statusCode, orderSubmissionDateTime, supplierReadyDateTimeWindow.startDateTime, supplierReadyDateTimeWindow.endDateTime, originalDeliveryDateTimeWindow.startDateTime,originalDeliveryDateTimeWindow.endDateTime, derivedOrderHealth.estimatedTimeOfArrival]

Bodyapplication/jsonrequired
additionalOrderIdentifierCriteriaArray of objects(InventoryOrderIdentifierCriteria)[ 0 .. 10 ] items

${InventoryOrderSearchCriteria.apiModel.additionalOrderIdentifierCriteria.value}

billToLocationAddressTextstring

${InventoryOrderSearchCriteria.apiModel.billToLocationAddressText.value}

destinationLocationAddressTextstring

${InventoryOrderSearchCriteria.apiModel.destinationLocationAddressText.value}

hasShipmentIdsboolean

${InventoryOrderSearchCriteria.apiModel.hasShipmentIds.value}

idsArray of strings[ 0 .. 2000 ] items

${InventoryOrderSearchCriteria.apiModel.ids.value}

launchDateTimeobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

orderIdentifiersArray of strings[ 0 .. 2000 ] items

${InventoryOrderSearchCriteria.apiModel.orderIdentifiers.value}

orderAttributesArray of objects(InventoryOrderAttributeFilter)[ 0 .. 50 ] items

${InventoryOrderSearchCriteria.apiModel.orderAttributes.value}

orderTypesArray of stringsunique

${InventoryOrderSearchCriteria.apiModel.orderTypes.value}

Items Enum"PURCHASE_ORDER""SALES_ORDER""WAREHOUSE_MOVEMENT_ORDER""ADVANCED_SHIPMENT_NOTICE""INVOICE""DELIVERY""STOCK_TRANSFER_ORDER"
originLocationAddressTextstring

${InventoryOrderSearchCriteria.apiModel.originLocationAddressText.value}

orderSubmissionDateTimeobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

originalDeliveryDateTimeWindowStartobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

originalDeliveryDateTimeWindowEndobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

orderTagCriteriaArray of objects(InventoryOrderTagCriteria)[ 0 .. 10 ] items

${InventoryOrderSearchCriteria.apiModel.orderTagCriteria.value}

orderHealthCriteriaArray of objects(OrderHealthCriteria)[ 0 .. 10 ] items

${InventoryOrderSearchCriteria.apiModel.orderHealthCriteria.value}

orderIdentifierCriteriaArray of objects(OrderIdentifierCriteria)

${InventoryOrderSearchCriteria.apiModel.orderIdentifierCriteria.value}

orderItemIdentifierCriteriaArray of objects(OrderItemIdentifierCriteria)

${InventoryOrderSearchCriteria.apiModel.orderItemIdentifierCriteria.value}

orderLocationCriteriaArray of objects(OrderLocationCriteria)

${InventoryOrderSearchCriteria.apiModel.orderLocationCriteria.value}

orderItemDescriptionCriteriaArray of objects(OrderItemDescriptionCriteria)

${InventoryOrderSearchCriteria.apiModel.orderItemDescriptionCriteria.value}

orderItemAdditionalIdentifierCriteriaArray of objects(OrderItemAdditionalIdentifierCriteria)

${InventoryOrderSearchCriteria.apiModel.orderItemInventoryIdentifierCriteria.value}

paginationobject(PaginationParameters)

Parameters which define a requested page of resources.

relatedOrderIdsArray of strings[ 0 .. 10 ] items

${InventoryOrderSearchCriteria.apiModel.relatedOrderIds.value}

searchTextstring

${InventoryOrderSearchCriteria.apiModel.searchText.value}

shipmentIdsArray of strings(uuid)[ 0 .. 10 ] items

${InventoryOrderSearchCriteria.apiModel.shipmentIds.value}

supplierReadyDateTimeWindowStartobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

supplierReadyDateTimeWindowEndobject(OffsetDateTimeRangeFilter)

A date and time range filter, with time zone offset.

statusCodesArray of stringsunique

${InventoryOrderSearchCriteria.apiModel.statusCodes.value}

Items Enum"SUBMITTED""RECEIVED""PROCESSING""ACCEPTED""FULFILLED""REJECTED""CANCELED"
sortArray of objects(InventoryOrderSortField)

${InventoryOrderSearchRequest.apiModel.sort.value}

vendorLocationAddressTextstring

${InventoryOrderSearchCriteria.apiModel.vendorLocationAddressText.value}

curl -i -X POST \
  'https://na12.api.project44.com/api/v4/inventory/orders/search?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&page=1&registrationDate=2019-08-24T14%3A15%3A22Z&size=30&sort=string&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "additionalOrderIdentifierCriteria": [
      {
        "operator": "EQUALS",
        "type": "CONTRACT",
        "value": "string",
        "values": [
          "string"
        ]
      }
    ],
    "billToLocationAddressText": "string",
    "destinationLocationAddressText": "string",
    "hasShipmentIds": true,
    "ids": [
      "string"
    ],
    "launchDateTime": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "orderIdentifiers": [
      "string"
    ],
    "orderAttributes": [
      {
        "name": "string",
        "operator": "EQUALS",
        "values": [
          "string"
        ]
      }
    ],
    "orderTypes": [
      "PURCHASE_ORDER"
    ],
    "originLocationAddressText": "string",
    "orderSubmissionDateTime": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "originalDeliveryDateTimeWindowStart": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "originalDeliveryDateTimeWindowEnd": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "orderTagCriteria": [
      {
        "operator": "EQUALS",
        "type": "ANALYST",
        "value": "string",
        "values": [
          "string"
        ]
      }
    ],
    "orderHealthCriteria": [
      {
        "durationRange": {
          "fromDuration": {
            "amount": 0,
            "unit": "UNKNOWN"
          },
          "fromInclusive": true,
          "toDuration": {
            "amount": 0,
            "unit": "UNKNOWN"
          },
          "toInclusive": true
        },
        "dateRanges": [
          {
            "endDateTime": "2019-08-24T14:15:22Z",
            "offsetMinutes": 0,
            "operator": "WITHIN",
            "startDateTime": "2019-08-24T14:15:22Z"
          }
        ],
        "deltas": [
          {
            "operator": "MORE_THAN",
            "type": "RUNNING_EARLY",
            "value": 0
          }
        ],
        "shipmentStatus": "UNKNOWN"
      }
    ],
    "orderIdentifierCriteria": [
      {
        "operator": "EQUALS",
        "type": "PURCHASE_ORDER",
        "values": [
          "string"
        ]
      }
    ],
    "orderItemIdentifierCriteria": [
      {
        "operator": "EQUALS",
        "type": "STOCK_KEEPING_UNIT",
        "values": [
          "string"
        ]
      }
    ],
    "orderLocationCriteria": [
      {
        "propertyCriteria": [
          {
            "operator": "EQUALS",
            "type": "POSTAL_CODE",
            "values": [
              "string"
            ]
          }
        ],
        "stopCriteria": {
          "operator": "EQUALS",
          "values": [
            "ORIGIN"
          ]
        }
      }
    ],
    "orderItemDescriptionCriteria": [
      {
        "operator": "EQUALS",
        "values": [
          "string"
        ]
      }
    ],
    "orderItemAdditionalIdentifierCriteria": [
      {
        "operator": "EQUALS",
        "type": "DEPARTMENT",
        "values": [
          "string"
        ]
      }
    ],
    "pagination": {
      "pageSize": 1,
      "pageNumber": 1
    },
    "relatedOrderIds": [
      "string"
    ],
    "searchText": "string",
    "shipmentIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "supplierReadyDateTimeWindowStart": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "supplierReadyDateTimeWindowEnd": {
      "endDateTime": "2019-08-24T14:15:22Z",
      "endDateTimeInclusive": true,
      "startDateTime": "2019-08-24T14:15:22Z",
      "startDateTimeInclusive": true
    },
    "statusCodes": [
      "SUBMITTED"
    ],
    "sort": [
      {
        "direction": "ASC",
        "fieldName": "ORDER_TYPE"
      }
    ],
    "vendorLocationAddressText": "string"
  }'

Responses

OK

Body
paginationInfoobject(PaginationInfo)

Pagination information about a collection of resources.

resultsArray of objects(InventoryOrder)

List of resources contained on this page.

Response
{ "paginationInfo": { "pageSize": 0, "pageNumber": 0, "total": 0 }, "results": [ {} ] }

LTL: Quotes

...

Operations

LTL: Dispatch

...

Operations

LTL: Image Retrieval

...

Operations

LTL: Electronic BOL

API used for creating Electronic BOL

Operations

VLTL: Quotes

...

Operations

VLTL: Dispatch

...

Operations

TL: Available Vehicles

...

Operations

TL: Connected Capacity

...

Operations

Asset Tracking

...

Operations

Multi-Modal: Image Retrieval

...

Operations

Multi-Modal: Rating

API used for multi-modal Rating.

Operations

Multi-Modal: Booking

API used for multi-modal Booking.

Operations

Multi-Modal: Packaging

API used for managing packages for shipment planning.

Operations

Multi-Modal: Document

...

Operations

Webhook

...

Operations

Shipment Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for shipments.

Operations

Inventory Order and Load Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for orders and loads.

Operations

Capacity Provider Metadata

...

Operations

Capacity Provider Contact Management

...

Operations

Capacity Provider Account Management

...

Operations

Capacity Provider Account Group Management

...

Operations

LTL: Push Tracking

...

Operations

LTL: Push Imaging

...

Operations

TL: Capacity Provider Push

...

Operations

Parcel: Push Tracking

...

Operations

Universal Push: Truckload

...

Operations

Push Updates

...

Operations

Analytics: Port Intelligence

...

Operations

Stop Location Management

...

Operations

Postal Address Validation

...

Operations

Appointments

Create, reschedule, cancel, fetch appointments in Yard Management Systems(YMS)

Operations

Capacity

Get capacity for a YMS site within the specified time range

Operations

Milestones

Update yard milestones for a shipment

Operations

Reason Codes

Retrieve all reason codes for the specified YMS site

Operations

Site Codes

Retrieve all sites for the specified YMS tenant

Operations

Slots

Get available slots for a shipment in Yard Management Systems(YMS)

Operations

Invitations

...

Operations

Ocean: Point-to-Point Schedules

...

Operations

LTL: Tracking

...

Operations

TL: Tracking

...

Operations

TL: Webhook

...

Operations

Parcel: Tracking

...

Operations

Parcel: Webhook

...

Operations

Rail: Tracking

...

Operations

Ocean: Tracking

...

Operations